////////////////////////////////////////////////
////s~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~s////
////s           www.testbench.in           s////
////s                                      s////
////s             VMM Tutorial             s////
////s                                      s////
////s           gopi@testbench.in          s////
////s~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~s////
////////////////////////////////////////////////


program test_log();

vmm_log log = new("test_log","log");
int fatal_cnt ;
int error_cnt ;
int warn_cnt ; 

   initial begin
       `vmm_note(log,$psprintf("This is a NOTE Message at time %d",$time));
        
       `vmm_error(log,"This is a ERROR Message 1 ");
       `vmm_error(log,"This is a ERROR Message 2 ");
       `vmm_error(log,"This is a ERROR Message 3 ");

       
       `vmm_warning(log,"This is a WARNING Message 1 ");
       `vmm_warning(log,"This is a WARNING Message 2 ");


        fatal_cnt = log.get_message_count(vmm_log::FATAL_SEV, "/./", "/./", 1);
        error_cnt = log.get_message_count(vmm_log::ERROR_SEV, "/./", "/./", 1);
        warn_cnt  = log.get_message_count(vmm_log::WARNING_SEV, "/./", "/./", 1);
    
        $display("\n\n");
        $display(" Number of Fatal messages   : %0d ",fatal_cnt);
        $display(" Number of Error messages   : %0d ",error_cnt);
        $display(" Number of Warning messages : %0d ",warn_cnt);
        $display("\n\n");
   
   end

endprogram
